Skip to content

Return valid source modes and address-field candidates for one Resource Catalog context.

GET
/api/workspace/admin/geo/location-sources/candidates
curl --request GET \
--url https://example.com/api/workspace/admin/geo/location-sources/candidates
  • None
moduleKey
string
resourceKind
string
contextResourceId
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Candidate data needed to configure Location for one resource context.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
DisplayName
string
nullable
Modes
Array<object>
nullable

Supported Location source mode for one resource context.

object
SourceKind
integer format: int32
Allowed values: 0 1 2
DisplayName
string
nullable
Description
string
nullable
RequiresSourceField
boolean
AddressFields
Array<object>
nullable

Address field candidate available for Location source configuration.

object
FieldId
string
nullable
Key
string
nullable
DisplayName
string
nullable
CoordinatesRequired
boolean
TargetLocationSources
Array<object>
nullable

Target Entity Location source candidate available for board target-resource configuration.

object
LocationSourceKey
string
nullable
DisplayName
string
nullable
ContextResourceId
string
nullable
ContextDisplayName
string
nullable
Enabled
boolean
SupportsBoardTargetResource
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Modes": [
{
"SourceKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Candidate data needed to configure Location for one resource context.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
DisplayName
string
nullable
Modes
Array<object>
nullable

Supported Location source mode for one resource context.

object
SourceKind
integer format: int32
Allowed values: 0 1 2
DisplayName
string
nullable
Description
string
nullable
RequiresSourceField
boolean
AddressFields
Array<object>
nullable

Address field candidate available for Location source configuration.

object
FieldId
string
nullable
Key
string
nullable
DisplayName
string
nullable
CoordinatesRequired
boolean
TargetLocationSources
Array<object>
nullable

Target Entity Location source candidate available for board target-resource configuration.

object
LocationSourceKey
string
nullable
DisplayName
string
nullable
ContextResourceId
string
nullable
ContextDisplayName
string
nullable
Enabled
boolean
SupportsBoardTargetResource
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Modes": [
{
"SourceKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}